org.gcube.dataanalysis.dataminer.poolmanager.clients

## Class ISClient

- java.lang.Object
- - org.gcube.dataanalysis.dataminer.poolmanager.clients.ISClient

    public class ISClient
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`ISClient()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`void` `addAlgToIs(Algorithm algo, String token)`
`Host` `getDataminer(String hostname)`
`static String` `getHProxy()`
`Collection<Host>` `listDataminersInVRE()`
`static void` `main(String[] args)`
`void` `publishScopedResource(org.gcube.common.resources.gcore.GenericResource a, List<String> scopes)`
`void` `unPublishScopedResource(org.gcube.common.resources.gcore.GenericResource resource)`
`void` `updateAlg(Algorithm algo)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ISClient

    public ISClient()

### Method Detail

#### getDataminer

    public Host getDataminer(String hostname)

#### getHProxy

    public static String getHProxy()

#### listDataminersInVRE

    public Collection<Host> listDataminersInVRE()

#### updateAlg

    public void updateAlg(Algorithm algo)

#### addAlgToIs

    public void addAlgToIs(Algorithm algo,
                           String token)

#### unPublishScopedResource

    public void unPublishScopedResource(org.gcube.common.resources.gcore.GenericResource resource)
                                 throws org.gcube.informationsystem.publisher.exception.RegistryNotFoundException,
                                        Exception

Throws:
  `org.gcube.informationsystem.publisher.exception.RegistryNotFoundException`
  `Exception`

#### publishScopedResource

    public void publishScopedResource(org.gcube.common.resources.gcore.GenericResource a,
                                      List<String> scopes)
                               throws org.gcube.informationsystem.publisher.exception.RegistryNotFoundException,
                                      Exception

Throws:
  `org.gcube.informationsystem.publisher.exception.RegistryNotFoundException`
  `Exception`

#### main

    public static void main(String[] args)
                     throws IOException,
                            org.tmatesoft.svn.core.SVNException

Throws:
  `IOException`
  `org.tmatesoft.svn.core.SVNException`